unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ShellAPI;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    BitBtn1: TBitBtn;
    Label2: TLabel;
    Memo1: TMemo;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Convert;

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
Cursor:=crArrow;
end;

procedure TForm1.Label1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
Cursor:=crHandPoint;
end;

procedure TForm1.Label1Click(Sender: TObject);
Var
Address,Subject,Body,CommandStr:String;
begin
Address:=Label1.Caption;
Subject:='Посылаю письмецо';
Body:=ConvertText(Memo1.Text);
CommandStr:='mailto:'+Address+'?Subject='+Subject+'&Body='+Body;
ShellExecute(0,Nil,PChar(CommandStr),Nil,Nil,SW_SHOWDEFAULT);
end;

end.
